Subject: RE: What is Software Engineer? [professional ladder]

From: Omer Musaev <[email-masked]>
Date: Thu, 28 Nov 2002 17:44:59 +0200

' -----Original Message-----
' From: Oleg Goldshmidt [mailto:[email-masked]]
' Sent: Thursday, November 28, 2002 4:56 PM
' To: [email-masked]
' Subject: Re: What is Software Engineer? (RE: [hackers-il] Re: packers
' and mapp ers)
' 
' 
' Omer Musaev <[email-masked]> writes:
' 
' > 2. What is a difference between a programmer and a software 
' engineer? 

[ skip ]
' 
' The computing professions have become so common and so easy to enter
' over recent years, and in such explosive a fashion, that any sort of
' professional guild that would maintain professional quality standards
' did not appear - yet. 
' 
' I think that this is a crucial point - the existence of a professional
' guild that would strictly enforce professional standards, conduct, and
' ethics, effectively resisting pressure from, say, software vendors.
'
' I would venture an opinion that no one but software professionals
' themselves can create such a guild. It is not clear to me how
' evaluation of software engineers should be handled. Something tells me
' that somehow open source would be essential (any serious evaluation
' should be based on the "show me the code" principle).
' 
' I wonder if there is any interest in trying to work out the beginnings
' of such principles. I can get in touch with the Israeli chapters of
' IEEE and IEE, for instance, and ask for pointers to how to start. But
' it must be a "guild" effort, not an individual's initiative.
'

I would like to point to the book (available online as set of articles)
named "After the Gold Rush" (http://www.stevemcconnell.com/gr2.htm) by
Steve McConnell (famous for his "Code Complete" seminal work.) 

Mr. McConnell does a lot of work contributing to development of 
"software engineer - the profession." One of his contribution to the 
non-existent community of software engineers is "the Ladder"[1] - 
a reference for possible partition of software professionals into
different professional levels. There is some evidence of "Ladder" 
used in industry[2]; the professional guild that Oleg mentions should,
naturally, use similar ladder internally.
 
' -- 
' Oleg Goldshmidt | [email-masked]

To unsubscribe from this group, send an email to:
[email-masked]

[1] The Construx Ladder:
	version 1 is fully available online at:
		http://www.construx.com/resources/pdl/version1/, 
	version 2 is partially available at 
		http://www.construx.com/docs/member/CxLadderWhitepaper.pdf